Permalink
Browse files

Update install instructions

  • Loading branch information...
bkeepers committed Sep 5, 2010
1 parent e7d12e9 commit f24716f2c4288d9e0d613d11654b6b121d7ed657
Showing with 11 additions and 15 deletions.
  1. +11 −14 README.md
  2. +0 −1 lib/delayed_job_data_mapper.rb
View
@@ -1,18 +1,15 @@
# delayed_job DataMapper backend
-<pre>
-# config/initializers/delayed_job.rb
-Delayed::Worker.backend = :data_mapper
-Delayed::Worker.backend.auto_upgrade!
-</pre>
+## Installation
+Add the gems to you Gemfile:
-## Note on Patches/Pull Requests
-
-* Fork the project.
-* Make your feature addition or bug fix.
-* Add tests for it. This is important so I don't break it in a
- future version unintentionally.
-* Commit, do not mess with rakefile, version, or history.
- (if you want to have your own version, that is fine but bump version in a commit by itself I can ignore when I pull)
-* Send me a pull request. Bonus points for topic branches.
+ gem 'delayed_job', '2.1.0.pre2'
+ gem 'delayed_job_data_mapper', '1.0.0.rc'
+
+Add this in an initializer:
+
+ # config/initializers/delayed_job.rb
+ Delayed::Worker.backend.auto_upgrade!
+
+That's it. Use [delayed_job as normal](http://github.com/collectiveidea/delayed_job).
@@ -1,7 +1,6 @@
require 'dm-core'
require 'dm-observer'
require 'dm-aggregates'
-# require 'dm-validations'
require 'delayed_job'
require 'delayed/serialization/data_mapper'
require 'delayed/backend/data_mapper'

3 comments on commit f24716f

@tpitale

This comment has been minimized.

Show comment Hide comment
@tpitale

tpitale Oct 11, 2010

Collaborator

The initializer doesn't seem to work with Rails 3 and DM. It complains about setup. Also, the auto_upgrade shouldn't be done every time, just once. I would think the instructions should be just to run rake db:autoupgrade.

Collaborator

tpitale replied Oct 11, 2010

The initializer doesn't seem to work with Rails 3 and DM. It complains about setup. Also, the auto_upgrade shouldn't be done every time, just once. I would think the instructions should be just to run rake db:autoupgrade.

@bkeepers

This comment has been minimized.

Show comment Hide comment
@bkeepers

bkeepers Nov 5, 2010

Contributor

Patches would be appreciated. I don't use data mapper so I'm not going to maintain this gem.

Contributor

bkeepers replied Nov 5, 2010

Patches would be appreciated. I don't use data mapper so I'm not going to maintain this gem.

@tpitale

This comment has been minimized.

Show comment Hide comment
@tpitale

tpitale Nov 5, 2010

Collaborator

Sure thing! I'll try and whip something up this weekend.

Collaborator

tpitale replied Nov 5, 2010

Sure thing! I'll try and whip something up this weekend.

Please sign in to comment.